petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPMonitorRange

Prints the percentage of residual elements that are more then 10 percent of the maximum value.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorRange(KSP ksp,PetscInt it,PetscReal rnorm,PetscViewerAndFormat *dummy)

Collective on KSP Many br

### Input Parameters

| ksp | - iterative context Many br
| it | - iteration number Many br
| rnorm | - 2-norm (preconditioned) residual value (may be estimated). Many br
| dummy | - an ASCII viewer Many br

### Options Database Key

-ksp_monitor_range -Activates KSPMonitorRange() Many br

Many br

### Keywords

KSP, default, monitor, residual

### See Also

KSPMonitorSet(), KSPMonitorDefault(), KSPMonitorLGResidualNormCreate()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages